Bug 61500 - install crashes with traceback during Installing Packages
install crashes with traceback during Installing Packages
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
Depends On:
Blocks: 61901
  Show dependency treegraph
Reported: 2002-03-20 13:36 EST by Wendy Hung
Modified: 2007-04-18 12:41 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-29 11:13:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
crash dump (67.61 KB, text/plain)
2002-03-20 13:37 EST, Wendy Hung
no flags Details

  None (edit)
Description Wendy Hung 2002-03-20 13:36:17 EST
Description of problem:
During the "Installing Packages" phase of Hampton Beta2, the installer will 
crash sometime in the middle of copying with a traceback and the machine must 
be restarted. 

How reproducible:

Actual Results:  
Traceback message:
Traceback (innermost last):
  File "/usr/bin/anaconda", line 627, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/lib/anaconda/gui.py", line 350, in run

    self.icw.run (self.runres, configFileData)

  File "/usr/lib/anaconda/gui.py", line 793, in run

    mainloop ()

  File "/usr/lib/python1.5/site-packages/gtk.py", line 2608, in mainloop


  File "/usr/lib/anaconda/gui.py", line 512, in handleRenderCallback


  File "/usr/lib/anaconda/iw/progress_gui.py", line 135, in renderCallback

  File "/usr/lib/anaconda/gui.py", line 403, in nextClicked


  File "/usr/lib/anaconda/dispatch.py", line 143, in gotoNext


  File "/usr/lib/anaconda/dispatch.py", line 208, in moveStep

    rc = apply(func, self.bindArgs(args))

  File "/usr/lib/anaconda/packages.py", line 576, in doInstall

    problems = ts.run(0, ~rpm.RPMPROB_FILTER_DISKSPACE, cb.cb, 0)
  File "/usr/lib/anaconda/packages.py", line 238, in cb

    fn = self.method.getFilename(h, self.pkgTimer)

  File "/usr/lib/anaconda/image.py", line 86, in getFilename


  File "/usr/lib/anaconda/isys.py", line 167, in umount

    rc = _isys.umount(what)

SystemError: (16, 'Device or resource busy')

Expected Results:  Installation of packages completes.

Additional info:  Seen on an installation on an IBM xSeries 200 using a 
ServeRAID controller and another installation using the IDE controller.
Comment 1 Wendy Hung 2002-03-20 13:37:13 EST
Created attachment 49226 [details]
crash dump
Comment 2 Jeremy Katz 2002-03-21 16:10:21 EST
If you boot with 'linux mediacheck' a couple of times, do you consistently have
the media pass the media check?
Comment 3 Don Smith 2002-03-25 09:36:46 EST
I mediachecked the CDs three times, and they passed each time.
Comment 4 Jeremy Katz 2002-03-25 18:58:20 EST
Are the following lines always in the install.log?

Installing mozilla-0.9.8-3.
/var/tmp/rpm-tmp.78: line 6:   175 Killed                 
execution of %post scriptlet from mozilla-0.9.8-3 failed, exit status 137

Comment 5 Don Smith 2002-03-29 11:13:02 EST
Looks like this problem has gone away in beta 3 - I've installed a few times to 
a ServeRAID controller with no problems.
Comment 6 Jeremy Katz 2002-03-29 14:35:07 EST
Okay, great!

Note You need to log in before you can comment on or make changes to this bug.